Introduction

UMDGen v4.00
Introduction

UMDGen is a tool that is used to create and/or edit UMD compliant ISO image files.

The ISO image files can then be played on some PSP systems.

UMDGen is a backup tool only. You can only use UMDGen to backup your legally owned Playstation Portable games. UMDGEN.COM does not condone piracy in any way or form.
Copyright © 2005-2007 UMDGEN.COM
"Playstation" & "PSP" are trademarks of Sony Computer Entertainment Inc (SCEI). UMDGEN.COM is NOT affiliated with SCEI.


Operating Environment

Operating Environment

UMDGen runs under the following environment:

Operating System | Windows XP
CPU | Pentium II 400Mz or faster
RAM | *256MB or more
Hard Disk Space | 1GB Work Area or more

*more memory is needed for compilations with lots of files.


What's New?

What's New?
  • New layout
  • UMDGen now displays information from UPDATE\PARAM.SFO as well as PSP_GAME\PARAM.SFO
  • Optimize button added. This function automatically detects and resizes dummy data, removed un-needed padding and dummies the contents of the UPDATE folder (if detected)
  • Non-PSP standard images can be forced to be read by the user. Upon detection, UMDGen will let you know the image is non-standard and you can choose wether to continue and have UMDGen attempt to read it - *NOTE* depending on the individual image, this could cause UMDGen to close if it encounters data it isn't expecting - but the general rule is if the psp can read it then presume UMDGen can too.
  • UMD_DATA.BIN file generator. If your compilation is missing this file then UMDGen gives you the oppertunity to create a new one.
  • Ability to change "PSP_SYSTEM_VER" in PARAM.SFO to different firmware version. (Use +/- key while version is selected)
  • 'Drop Open' images re-introduced due to a lot of requests to re-add it to UMDGen.
  • Complete CSO + DAX support. You can now edit compressed images the same as uncompressed images. Dax support now includes the use of Non-Compressed areas feature.
  • 'Ezip' format removed. We didn't think it was worth keeping this format since it only had very limited support anyway.
  • 'Dummy File' option added as requested by many users.
  • v3.50 still had trouble with one or two problem images. A lot of code to do with the reading/writing process has been restructured and these problems should now be fixed.


UMDGen Window

UMDGen Window

• DIRECTORY VIEWPORT: This shows all the folders in the current compilation.

• CONTENTS VIEWPORT: This shows all the files/folders in the currently selected Directory Viewport Folder.

• LAYOUT VIEWPORT: This shows the file postions / layout of the current compilation.

• TOOLBAR : Shortcut buttons to some of the more common actions.


Shortcut Keys

Shortcut Keys

There are several shortcut keys enabled in UMDGen. Here is a full list:

CTRL + F | Add a new folder to the compilation
CTRL + N | Create a New compilation
CTRL + O | Open an existing UMD Image file
CTRL + S | Save the current compilation as a new ISO
CTRL + C | Save the current compilation as a Compressed Image (CSO)
CTRL + D | Save the current compilation as a Compressed Image (DAX)
CTRL + P | Display the Image Properties window
CTRL + R | Rename the selected File / Folder
CTRL + E | Extract the complete contents of the opened ISO Image
CTRL + M | Use the selected file as the soruce file when relinking
CTRL + L | Relink the selected files to the already selected source file
CTRL + X | Exit UMDGen


History

History

UMDGen v3.50 (August '06)

  • ISO generation code has been completely re-written and it now a lot more solid. There shouldn't be any more "problem games".
  • ISO properties dialog box added. From here you can change build date/time, volume label etc.
  • More ISO formats supported - Now supports CiSO, Dax and Ezip (Note: Ezip support is limited to Opening and creating filelists)
  • Batch Converter added. Drag and drop ISO's into the batch converter, select the format you wish to convert them all too and sit back while UMDGen converts every item in the list. Convert from ISO/DAX/CSO to ISO/DAX/CSO.
  • Relink code re-written. When opening an image which contains relinked items the files will remain relinked even after further modification of the ISO. You can now also relink files in the Layout Viewport - This can make relinking easier without the need to switch from one folder to another.
  • Sector View expanded. You can now view files which have been added from your hard drive in sector view - you are no longer limited to viewing the hex of existing files in the open image.
  • Dummy Search expanded. Dummy search now also checks files added to the compilation from your hard drive.
  • File List import expanded. When importing file lists you now have the option to force lba - this option, if selected, will not only place all files in the correct order but also match the filelists LBA positions when possible.
    Importing file lists with relinked files is now also supported - any relinked files in the list will automatically be relinked in the compilation.
  • UMDGen File Association - You now have the option of associating PSP images (*.iso, *.dax, *.cso, *.ezip) with UMDGen - if associated, UMDGen will automatically open the ISO when double clicked in windows explorer. Because UMDGen is a PSP image editor only, you also have the ability to allow UMDGen to redirect non-psp images to another application (eg IsoBuster) - when non-psp images are detected by UMDGen it will automatically redirect the image to open elsewhere.

UMDGen v3.02 (May '06)
Bugfix release.

  • Drag and drop error fixed. A dropped item would not always be added to the correct folder and instead be added to the parent folder.
  • Renaming Label error fixed. Sometimes after renaming the volume label the ISO would be rebuilt incorrectly.

UMDGen v3.01 (May '06)
A couple of bugs have been addressed in this release:

  • Extracting from vcdromx images now extract from the correct location.
  • Drag and drop error fixed (in v3.00.1)

UMDGen v3.00 (May '06)
UMDGen has come a long way since it's first initial release. V3.00 is no exception with a host of major changes!
 New features/updates:

  • GUI Re-designed. Toolbar added, menus improved. Displays the ISO icon and more detailed PARAM.SFO information.
  • Ability to rename files and folders.
  • Duplicate file/folder checking. When an item is added, UMDGen will ask if you wish to replace the file/folder contents if the items already exist in the compilation - this is the new way to update files, simply add them to the compilation and select yes when asked if you want to replace them.
  • Hide files/folders. This option was added because it may be needed sometime in the future (PS2 protection included hidden files in ISO's) Once a file/folder is hidden you can 'un-hide' it by right-clicking the item in LBA VIEWPORT and select 'Un-Hide' from the menu. This is only available while the compilation is still open - once you have saved as an ISO and closed the compilation the files will be completely hidden.
  • Accelerator keys added (Keyboard Shortcuts).
  • ADD EXISTING FOLDER routine has been re-written. Hopefully users who were having problems adding folders in previous versions will now be able to do so without difficulty. You can even add items directly from mounted images now.
  • Launch files. You can double-click a file in UMDGen for it to automatically open in whatever associated application is on your system. Example, double-clicking 'PIC1.PNG' will open that file in your default PNG viewing program.
  • File relinking routines have been updated. Some users reported previous versions were a bit buggy so this has been fixed.
  • Improved the code for moving files in LBA VIEWPORT. Users can now drag and drop all selected files instead of having to do them individually.
  • PPF Patcher. You can apply a ppf directly to an ISO or any individual file in the compilation.
  • Dummy File Search. This feature will scan the open ISO for dummy data files and, if found, automatically resize them to 0 bytes.
  • Sector Viewer. View files or the ISO in Hex Format. Using the button on the toolbar will view Sector 0 as default, right-clicking on a file and selecting sector view will display the file location sector.
  • Padding is now default to none, users have the option to modify the padding values from 0 to UMD default or enter a custom amount of LBAs between files.
  • Debug Console. This is available to help with any problems users may have. It gives a general output wich can be examined by us to help fix the problem.
  • Optional Path Tables. Part of the ISO header but not generally used. Can be disabled if required.
  • DAX ISO support. Open and edit DAX ISO images the same as any uncompressed image.

UMDGen v2.01 (March '06)
Updates:

Recoded the way UMDGen stores file information - because of this recode UMDGen can hold file information of up to 100,000 files. Because of different memory/general PC configurations of our users, we have decided to include an ini file which stores the maximum allowed number of files to be loaded. Users can change this value to their own requirements. Opening an ISO with thousands of files will cause UMDGen to run more slowly as it has to process each file and folder.
Bug fixes:
A few minor bugs were fixed in this release.

UMDGen v2.00 (December '05)
UMDGen has undergone a complete re-write and has some MAJOR new features added!

Please be aware of the following:

An ISO opened in UMDGen may not show the correct LBA values of the original ISO - it shows the LBA positions of the proposed new ISO. When you open an ISO and Save As (even without changes) the ISO size could increase/decrease. This is becuase UMDGen uses (by default) the correct sector alignment for UMD Discs. This can be switched off in the 'Padding' menu item.

Right-clicking and selecting 'Extract All' from the left hand window (Dir Structure view) will extract the ENTIRE contents of the iso, regardless of which sub-folder you chose. If you want to extract a sub-folder and/or files, select them in the right hand view (Files and Folders View) and select 'Extract Selected'

  • Open existing PSP images (including VCDROMx images) UMDGen v2.00 will automatically re-calculate LBA positions to UMD standard positions and remove excess padding Example... Infected ISO size is 562MB, when opened in UMDGen ISO size is 538MB.
  • Edit existing PSP images. Delete folders/files, relink files, update/replace files, Add new files/folders, move file LBA positions.
  • Extract ISOs. Extract the entire ISO or select Files/Folders to extract.
  • Create IML/IMS Files From Existing ISOs and New ISOs - Useful for RipKits.
  • Automatically converts VCDROMx images to correct UMD Format when saved.
  • Uses UMD-compliant padding for files (can be switched on/off)
  • Firmware version detector. Displays required firmaware version for game to run.

UMDGen v1.02 (November '05)
A brief fix-only update. Thanks to dkr for the report. Changes include:

Time Format reverted back to a Date Format in v1.01, now fixed.
Publisher Field was also being used as the Copyright Field in v1.01, now fixed.

UMDGen v1.01 (November '05)
A BIG thanks to all the users who have left their comments and feedback which enables us to make this tool better.

New Features/Updates:
Added 'project' workspace - now you can Save/Load projects.
Added 'Relinking' - Relink un-needed files to save more space.
Added the ability to change Date and Time of ISO creation
Added the convenience to delete folders from the Folder Tree.
Re-structured the way UMDGen stores file/folder information in memory - result is better success rate with rebuilt ISO's.
Re-coded drag and drop routine to accept windows compressed folders.
Other minor code modification for overall smoother running.

UMDGen v1.00 (August '05)
Create "Universal Media Disc" compliant ISO images.

Tool notes:
On launch ISO size starts at 0.04MB - this is size of the UMD Header.
In Volume View all field entries are locked with CAPS - this is the UMD TOC Standard. Any/All of these fields can be left blank. If the 'Volume Label' remains blank the default UMD Standard label will be used ('NA').

Importing a filelist will automatically sort all files in their correct order - this does not include correcting the lba positions. Retail UMD disks use extra padding between files which isn't needed for ISO images not destined for UMD Discs. In Directory View, the Delete key on your computer will remove selected files from the UMD compilation.

In Layout View you have the capability of moving any file to a different LBA location, *Please note - Using the 'Move To..' option (right-click on a file) you can only move the LBA position to a higher value than it's original location - use the drag and drop method to move files to a lower LBA position.

Export IML/IMS file - Any of the current free IML2ISO utils will work to rebuild the ISO. UMD Gen does not export the full path of files - only the 'virtual path' so the IML/IMS file should be used in the root folder of the game when rebuilding.


... add a file from my hard drive?

... add a file from my hard drive?

The simplest way to add an existing file is to drag the desired file from windows explorer and drop it into the Contents Viewport in UMDGen. The file will then automatically be added to your compilation.

The alternate way of adding an existing fileis to Right-Click in the Contents Viewport and select 'Add' and then 'Existing Files...' from the popup menu.

A new sub-window will appear allowing you to browse your PC to select the file(s) you wish to add to the compilation.


... add a folder from my hard drive?

... add a folder from my hard drive?

The simplest way to add an existing folder is to drag the desired folder from windows explorer and drop it into the Contents Viewport in UMDGen. The folder and it's contents will then automatically be added to your compilation.

The alternate way of adding an existing folder is to Right-Click in the Contents Viewport and select 'Add' and then 'Existing Folder...' from the popup menu.

A new sub-window will appear allowing you to browse your PC to select the folder you wish to add to the compilation.


... add a new folder?

... add a new folder?

Adding a new folder to your compilation can be done in 2 different ways:

  • Right-Click the 'Contents ' window, making sure you haven't selected any existing file/folder. From the popup menu, select 'Add' and then 'New Folder'.
  • Press CTRL + F

Once a new folder has been added, UMDGen automatically names the folder to 'New Folder' (or if the folder name is already being used 'New Folder (1)' etc). The new folder name is highlighted and in edit mode ready for you to give it an appropriate name.


... create a new ISO?

... create a new ISO?

When you launch UMDGen it automatically sets itself up as a new compilation. If you have previoulsy opened UMDGen to view an existing ISO, then you have 3 different ways of starting a new compilation:

  • press the 'New Compilation' button
  • Select 'File' and then 'New Compilation' from the main menu.
  • Press CTRL + N

You can now begin adding files / folders to your new compilation.

Adding Folders: New / Existing

Adding Files: Existing

Once your compilation is ready to be saved as an ISO, you can either:

  • press the 'Save Compilation as ISO' button
  • Select 'File' and then 'Save As...' and 'ISO'
  • Press CTRL + S

The Save As dialog box will appear allowing you to choose the save location and enter the name of your new ISO. Press the 'Save' button and your new ISO will be created.


... Delete a file/folder already added to my compilation?

... Delete a file/folder already added to my compilation?

There are 2 ways of deleting files and folders.

  • Right-Click the item and choose delete from the popup menu.
  • Select the item and press DEL on your keyboard.


... Open an ISO image from my hard drive?

... Open an ISO image from my hard drive?

Opening an existing Image file can be done in 4 ways:

  • If you have enabled File Association you can simply double-click the ISO in windows explorer.
  • Select 'File' and 'Open Disk Image..' from the main menu. A dialog box will appear allowing you to browse your PC and select the desired ISO file.
  • Press CTRL + O
  • While UMDGen is in 'New Compilation' mode, drag and drop an image into the contents viewport and it will automatically be opened.


... rename a file or folder already in my compilation?

... rename a file or folder already in my compilation?

There are 2 ways to rename a file or folder:

  • Right Click on the desired file/folder and select Reame from the popup menu. The selected file will go into edit mode and you can type in the new name.
  • Select the file/folder and press CTRL + R


... relink files?

... relink files?

The first step is to decide which files need relinking - these will usually be movie or audio files. The next step is to decide which file you want to relink them too.
Once these two questions have been anwered you can do the following:

Right click the file you want to use as the relinked file (this is the file you want to keep - all other relinked files will point to this)
From the pop-up menu choose - File Relinker -> Use Selected File As Source.

Now to relink all the unwanted files to the source file:
Select a file you want to be relinked (you can select more than one file if desired) and right-click.
From the pop-up menu choose - File Relinker -> Relink To.. (the source file path will be here)
Now the selected files are relinked to the source file and should be coloured blue . The iso size should have also decreased.


... dummy files?

... dummy files?

You can dummy a file by right-clicking on it and select 'Dummy' from the popup menu. When you dummy a file it removes all the data within the file and replaces it with blank data, therefor the file size remains the same.


How do I apply a PPF to a game?

How do I apply a PPF to a game?
There are 2 methods of applying a ppf patch - you can either patch the entire ISO file or any individual files within the ISO.

Both methods require you to open the ISO in UMDGen first.
To apply a ppf patch to the whole ISO, use the 'Apply PPF' menu item or toolbar button.
To apply a ppf patch to an individual file, right-click the file and select 'Apply PPF' from the popup menu.

NOTE: You can only apply PPF patches to uncompressed ISO Files.


Relink or Delete?

Relink or Delete?

Making games smaller to fit on certain sized memory cards can sometimes be a challenging task. Most of the time this will involve deleting certain files and relinking others, but how do you know when to perform which action?

Deleting items from the ISO does just that - it removes all traces of the item from the image. This can lead to problems during gameplay if, at some point, the game tries to access a file you have deleted - inevitably, the game will crash.

This isn't to say you shouldn't delete - some items are safe to delete without any problems during gameplay. The question you need to ask yourself before making a decision is this:

"Will the game attempt to access this file at any point during gameplay?"

If the answer is No, then it's pretty safe to assume that you can delete the items.
Examples of the items you can safely delete are:

• Update Folder (In PSP_GAME/SYSDIR/ folder)

• Alternate Language Files & Folders

• Dummy Files ( files filled with garbage data to boost final image size)

If, on the other hand, the answer to the above question is "Yes" or even "Maybe" then its safer to use the relink feature instead. Relinking files also removes the file(s) from the compilation saving valuable space, but instead of deleting all references to the file it remaps the information to point to a completely different file - Think of it as a forwarding address, the game reads information regarding the files position in the ISO but it's really being re-directed to another file alltogether.

Relinking works best when you relink one file to another file of the same type (audio to audio, video to video). If you attempt to relink a video file to an audio file then you can be sure there will be concequences.


UMDGen reports ISO Size as 0.04MB but I haven't added anything!

UMDGen reports ISO Size as 0.04MB but I haven't added anything!

UMDGen calculates the ISO Image size 'on-the-fly' - after you add or remove any item it will recalculate the output size.

Although no items have yet been added, the ISO still contains vital header information that would be saved even if you saved the compilation with nothing added.


UMDGen says the game requires a higher firmware than it needs

UMDGen says the game requires a higher firmware than it needs

Firmware information is read directly from the ISO image (PARAM.SFO to be exact).

UMDGen can only display information it has read from the ISO - if the information is incorrect there is nothing we can do about it.


What is padding?

What is padding?

Padding is the empty space between files. Some games use a lot of padding usually to improve read speed from the UMD Disk. Once an ISO is created and the game is being read from a memory stick the large padding is no longer needed.

There are 3 different padding options in UMDGen:

• UMD Standard - The default padding value of the official UMD Standard is 16 sector aligned.

• None - This removes all padding. Each file will be placed at the next available slot directly after eachother.

• Custom - This option allows you to enter how many LBA's apart you wish each file to be placed.


Does UMDGen support compressed ISO images?

Does UMDGen support compressed ISO images?

UMDGen v4.00 supports 2 formats of compression.
The compression formats UMDGen supports is Dax and cISO.


Batch Converter

Batch Converter

UMDgen Batch Converter is a tool to speed-up the process of converting images of one type to another type.

Batch Converter can convert to and from ISO (uncompressed), DaxISO and CISO.

To use, simply drag and drop the image files from windows explorer into batch converters' list box. The tool automatically identifies the current format of dropped files. If an item is detected that isn't of a recognized format then it is not added to the list.

Once you've added images to the list, select the format to which you want to convert and press the 'Start Batch Conversion' button. All images will be saved to the same location as their originals but with an appropriate extension added e.g. if you dropped an image called 'Game.iso' and converted it to dax, then the resulting file would be saved as 'Game.dax'


Dummy File Search

Dummy File Search

UMDGen can examine each individual file within an ISO (uncompressed only) and determine wether the file is a dummy or not.

A dummy file is simply a file full of garbage data used to increase the size of the final image - usually for improved UMD drive reading, something which is not needed for reading images from memory cards.

You can use the tool either from the toolbar button or from the main menu (Tools -> Search and resize dummy files). The tool will begin it's search - in some instances this can take a few minutes to complete.

Once the search has been completed UMDGen will display a basic report of it's findings and any dummy files found will automatically be resized to 0 bytes.


File Association

File Association

UMDGen v4.00 gives you the option of associating PSP image filetypes with it so you can simply double-click an image in windows explorer and it will automatically open in UMDGen.

As UMDGen only opens PSP format images and there are many different types of ISO images with the same file extension you also have the option to include a default program to open all non-PSP format ISO's that UMDGen encounters. With this option set, you can double click any ISO in windows explorer and UMDGen will quickly detect if it's PSP format or not, if not, UMDGen will close allowing your chosen default program to open the file instead - but if UMGen detects a PSP image it will open display it as normal.

Once you have associated ISO's with UMDGen you can, if you wish, un-associate them. Simply untick the appropriate tick-box.

File Association allows UMDGen to directly open the following file extensions:

• ISO
• CSO
• DAX


($title$)

($title$)
($content$)